TrainingProject (training-module-library 1.0.0-4.12.0-163223 API)
Date: 2018-07-19

org.gcube.portal.trainingmodule.dao

## Class TrainingProject

- java.lang.Object
- - org.gcube.portal.trainingmodule.dao.TrainingProject

- All Implemented Interfaces:
    Serializable

      @Entity
      public class TrainingProject
      extends Object
      implements Serializable

  The Class TrainingProject.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 10, 2018
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrainingProject()` Instantiates a new training project.
    `TrainingProject(long internalId, String title, String folderName, String description)` Instantiates a new training project.
    `TrainingProject(long internalId, String title, String description, String commitment, String languages, String scope, String ownerLogin, String workspaceFolderId, String workspaceFolderName, String createdBy, boolean isCourseActive, String sharedWith)` Instantiates a new training project.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommitment()` Gets the commitment.
    `String` | `getCreatedBy()` Gets the created by.
    `String` | `getDescription()` Gets the description.
    `long` | `getInternalId()` Gets the internal id.
    `String` | `getLanguages()` Gets the languages.
    `String` | `getOwnerLogin()` Gets the owner login.
    `String` | `getScope()` Gets the scope.
    `String` | `getSharedWith()` Gets the shared with.
    `String` | `getTitle()` Gets the title.
    `String` | `getWorkspaceFolderId()` Gets the workspace folder id.
    `String` | `getWorkspaceFolderName()` Gets the workspace folder name.
    `boolean` | `isCourseActive()`
    `void` | `setCommitment(String commitment)` Sets the commitment.
    `void` | `setCourseActive(Boolean courseActive)`
    `void` | `setCreatedBy(String createdBy)` Sets the created by.
    `void` | `setDescription(String description)` Sets the description.
    `void` | `setLanguages(String languages)` Sets the languages.
    `void` | `setOwnerLogin(String ownerLogin)` Sets the owner login.
    `void` | `setScope(String scope)` Sets the scope.
    `void` | `setSharedWith(String sharedWith)` Sets the shared with.
    `void` | `setTitle(String title)` Sets the title.
    `void` | `setWorkspaceFolderId(String workspaceFolderId)` Sets the workspace folder id.
    `void` | `setWorkspaceFolderName(String workspaceFolderName)` Sets the workspace folder name.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrainingProject

          public TrainingProject()

      Instantiates a new training project.

    - #### TrainingProject

          public TrainingProject(long internalId,
                                 String title,
                                 String folderName,
                                 String description)

      Instantiates a new training project.
      Parameters:
        `internalId` - the internal id
        `title` - the title
        `folderName` - the folder name
        `description` - the description

    - #### TrainingProject

          public TrainingProject(long internalId,
                                 String title,
                                 String description,
                                 String commitment,
                                 String languages,
                                 String scope,
                                 String ownerLogin,
                                 String workspaceFolderId,
                                 String workspaceFolderName,
                                 String createdBy,
                                 boolean isCourseActive,
                                 String sharedWith)

      Instantiates a new training project.
      Parameters:
        `internalId` - the internal id
        `title` - the title
        `description` - the description
        `commitment` - the commitment
        `languages` - the languages
        `scope` - the scope
        `ownerLogin` - the owner login
        `workspaceFolderId` - the workspace folder id
        `workspaceFolderName` - the workspace folder name
        `createdBy` - the created by
        `isCourseActive` - the is course active
        `sharedWith` - the shared with

  - ### Method Detail

    - #### getTitle

          public String getTitle()

      Gets the title.
      Returns:
        the title

    - #### setTitle

          public void setTitle(String title)

      Sets the title.
      Parameters:
        `title` - the new title

    - #### getDescription

          public String getDescription()

      Gets the description.
      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      Sets the description.
      Parameters:
        `description` - the new description

    - #### getCommitment

          public String getCommitment()

      Gets the commitment.
      Returns:
        the commitment

    - #### setCommitment

          public void setCommitment(String commitment)

      Sets the commitment.
      Parameters:
        `commitment` - the new commitment

    - #### getLanguages

          public String getLanguages()

      Gets the languages.
      Returns:
        the languages

    - #### setLanguages

          public void setLanguages(String languages)

      Sets the languages.
      Parameters:
        `languages` - the new languages

    - #### getScope

          public String getScope()

      Gets the scope.
      Returns:
        the scope

    - #### setScope

          public void setScope(String scope)

      Sets the scope.
      Parameters:
        `scope` - the new scope

    - #### getOwnerLogin

          public String getOwnerLogin()

      Gets the owner login.
      Returns:
        the owner login

    - #### setOwnerLogin

          public void setOwnerLogin(String ownerLogin)

      Sets the owner login.
      Parameters:
        `ownerLogin` - the new owner login

    - #### getWorkspaceFolderId

          public String getWorkspaceFolderId()

      Gets the workspace folder id.
      Returns:
        the workspace folder id

    - #### setWorkspaceFolderId

          public void setWorkspaceFolderId(String workspaceFolderId)

      Sets the workspace folder id.
      Parameters:
        `workspaceFolderId` - the new workspace folder id

    - #### getWorkspaceFolderName

          public String getWorkspaceFolderName()

      Gets the workspace folder name.
      Returns:
        the workspace folder name

    - #### setWorkspaceFolderName

          public void setWorkspaceFolderName(String workspaceFolderName)

      Sets the workspace folder name.
      Parameters:
        `workspaceFolderName` - the new workspace folder name

    - #### getSharedWith

          public String getSharedWith()

      Gets the shared with.
      Returns:
        the shared with

    - #### setSharedWith

          public void setSharedWith(String sharedWith)

      Sets the shared with.
      Parameters:
        `sharedWith` - the new shared with

    - #### getInternalId

          public long getInternalId()

      Gets the internal id.
      Returns:
        the internal id

    - #### getCreatedBy

          public String getCreatedBy()

      Gets the created by.
      Returns:
        the created by

    - #### setCreatedBy

          public void setCreatedBy(String createdBy)

      Sets the created by.
      Parameters:
        `createdBy` - the new created by

    - #### isCourseActive

          public boolean isCourseActive()

    - #### setCourseActive

          public void setCourseActive(Boolean courseActive)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All Rights Reserved.